// TabYDlg.cpp
//

#include "stdafx.h"
#include "sttrgdisplay.h"
#include "TabYDlg.h"


// CTabYDlg

IMPLEMENT_DYNAMIC(CTabYDlg, CDialog)

CTabYDlg::CTabYDlg(CWnd* pParent /*=NULL*/)
	: CTabChildBase(CTabYDlg::IDD, pParent)
{
	m_szTabName = TEXT("Y");

	//SliderCtrl
	m_SliderCtrlCount = 7;
	m_pSliderCtrlID = new UINT[m_SliderCtrlCount];
	m_pSliderCtrlID[0] = IDC_SLIDER_SHARPNESS_GAIN;
	m_pSliderCtrlID[1] = IDC_SLIDER_SHARPNESS_CORING;
	m_pSliderCtrlID[2] = IDC_SLIDER_Y_GAMMA_VALUE;
	m_pSliderCtrlID[3] = IDC_SLIDER_CAMERA_GAMMA_VALUE;
	m_pSliderCtrlID[4] = IDC_SLIDER_DIGITAL_CLAMP;
	m_pSliderCtrlID[5] = IDC_SLIDER_SHADING_CORRECTION_TAGET_LEVEL;
	m_pSliderCtrlID[6] = IDC_SLIDER_ANALOG_BLACK_LEVEL;

	//ComboBoxCtrl
	m_ComboBoxCtrlCount = 3;
	m_pComboBoxCtrlID = new UINT[m_ComboBoxCtrlCount];
	m_pComboBoxCtrlID[0] = IDC_COMBO_SHARPNESS_MODE;
	m_pComboBoxCtrlID[1] = IDC_COMBO_Y_GAMMA_MODE;
	m_pComboBoxCtrlID[2] = IDC_COMBO_SHADING_CORRECTION_MODE;
	
	//EditCtrl
	m_EditCtrlCount = 7;
	m_pEditCtrlID = new UINT[m_EditCtrlCount];
	m_pEditCtrlID[0] = IDC_EDIT_SHARPNESS_GAIN;
	m_pEditCtrlID[1] = IDC_EDIT_SHARPNESS_CORING;
	m_pEditCtrlID[2] = IDC_EDIT_Y_GAMMA_VALUE;
	m_pEditCtrlID[3] = IDC_EDIT_CAMERA_GAMMA_VALUE;
	m_pEditCtrlID[4] = IDC_EDIT_DIGITAL_CLAMP;
	m_pEditCtrlID[5] = IDC_EDIT_SHADING_CORRECTION_TAGET_LEVEL;
	m_pEditCtrlID[6] = IDC_EDIT_ANALOG_BLACK_LEVEL;
}

CTabYDlg::~CTabYDlg()
{
}

void CTabYDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CTabYDlg, CTabChildBase)
END_MESSAGE_MAP()


// CTabYDlg
